Redmine - Feature #1159

Allow issue description to be searchable as a filter
2008-05-01 20:29 - Mark P

Status: Closed Start date: 2008-05-01
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 3.2.0

Resolution: Fixed

Description

Currently, we can add one or many filters to search issues, including Subject. | would love to see the ability to search the Description
field of an issue in the same way we can search the Subject field.

Related issues:

Related to Redmine - Feature #1353: Please add ability to filter on issue Des... Closed 2008-06-02
Related to Redmine - Feature #11521: Let user set tracker in seach Closed
Related to Redmine - Feature #5893: Filter issues by notes Closed 2010-07-16
Related to Redmine - Feature #14468: Search for text in description and comme... Closed
Related to Redmine - Defect #25077: Issue description filter's 'none' operato... Closed
Has duplicate Redmine - Feature #12453: Add "Description" in the issues filter Closed

Associated revisions

Revision 14672 - 2015-10-14 20:16 - Jean-Philippe Lang

Allow issue description to be searchable as a filter (#1159).

Patch by Go MAEDA.

Revision 14673 - 2015-10-14 21:23 - Jean-Philippe Lang
Reverts r14672, test broken (#1159).

Revision 14674 - 2015-10-15 20:12 - Jean-Philippe Lang

Isolates csv options for a hash param (#1159).

Revision 14675 - 2015-10-15 20:13 - Jean-Philippe Lang

Allow issue description to be searchable as a filter (#1159).

History

#1 - 2008-05-08 06:14 - Henrique Bastos
- File enable_issue _filter_by description.1159.diff added

Patch against trunk to enable the description filter for issue search.

#2 - 2008-05-08 14:35 - Henrique Bastos

- Status changed from New to Resolved

#3 - 2008-05-13 21:51 - Mark P

Thank you very much for the quick turn around on this. The wiki describes how to create a patch.diff file, but it does not specifcy how to implement
one. |looked through the forums as well. Sorry for the noob question.

#4 - 2008-05-14 00:20 - Eric Davis

Mark, I've updated the Patch page on the wiki to talk about applying and removing a patch file. That should help you get started, if you have any
other questions feel free to post to Forums.

#5 - 2009-04-27 22:11 - ian horne
https://www.redmine.org/projects/redmine/wiki/Patch

Running this patch on redmine0.8.3 | receive error:

patching file app/models/query.rb
Assertion failed: hunk, file ../patch-2.5.9-src/patch.c, line 354

And the option is still unavailable.

#6 - 2009-05-20 04:22 - sebastian scarano

has this been implemented in 0.8.3??77?

because | can't find the way to filter by description...

#7 - 2009-11-21 02:44 - Eric Davis

- Status changed from Resolved to New

#8 - 2011-12-13 15:14 - Harry Garrood

+1, this would be really useful.

#9 - 2011-12-13 20:48 - Terence Mill

+1 ..regular expression would be great!

#10 - 2012-07-27 09:38 - Jan Niggemann (redmine.org team member)

+1
#11 - 2013-01-02 15:10 - Terence Mill
Is there an update for this patch working with redmine 2.2?

There is a plugin redmine extra query operators which can regexp on topic but not on description, its half of the way. See inofficial github issue or
official forum

#12 - 2013-01-27 14:57 - marco guan
- File query.rb added

- File 1.jpg added

- File 2.jpg added

for 2.2.1, a litte change needed
#13 - 2013-01-28 09:42 - Jan Niggemann (redmine.org team member)
Is that deliberately left out in trunk because it might put a lot of load on the DB?

If not, why isn't this in trunk after all?

#14 - 2013-01-28 12:36 - Terence Mill

How does this filter works? Substring match?

If not, why isn't this in trunk after all?

Good question anyways.

#15 - 2013-01-28 14:18 - Etienne Massip

Ideally description field and other text fields should be indexed and searched with FTS.

#16 - 2013-03-21 09:27 - Anton Nepomnyaschih

+1. It's more convenient for me to search via filter than via Search.

BTW, if standart Search can search through the description field, why filter cant? It seems the same thing.

#17 - 2013-08-06 00:29 - Mischa The Evil

- Related to Feature #14468: Search for text in description and comments in issue search and restrict projects. added

#18 - 2013-10-09 10:57 - asd asd
http://www.redmine.org/plugins/redmine_extra_query_operators
https://github.com/dkuk/redmine_extra_query_operators/issues/1
www.redmine.org/boards/3/topics/21015?r=35310#message-35310

+1
This feature is highly needed for large sets of issues

#19 - 2014-08-18 15:59 - Ralf S.

+1
Would be very useful and is required by us.

No responsibilty until now?

#20 - 2015-03-08 14:08 - Go MAEDA
- File enable_issue _filter_by_description_r14065.diff added

This feature is very usuful and easy to implement. Could it be a feature of Redmine 3.1?
Here is a patch againt trunk (r14065).

#21 - 2015-04-29 08:38 - Go MAEDA

- Target version set to Candidate for next major release

#22 - 2015-08-31 11:43 - Florian ROBERT

+1

#23 - 2015-10-10 09:20 - Go MAEDA

- Target version changed from Candidate for next major release to 3.2.0

| think this feature is very usuful and many people who commented to this issue have longed for the feature for years.
Please consider including this in 3.2.0.

#24 - 2015-10-14 20:17 - Jean-Philippe Lang
- Subject changed from Allow Issue Description to be Searchable as a Filter to Allow issue description to be searchable as a filter

- Assignee set to Jean-Philippe Lang
Patch committed in r14672.
#25 - 2015-10-14 21:23 - Jean-Philippe Lang

Tests broken: http://www.redmine.org/builds/logs/build_trunk_postgresql_ruby-2.1_2626.html
Patch reverted.

#26 - 2015-10-15 20:18 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Done.

#27 - 2017-02-15 09:58 - Mischa The Evil

- Related to Defect #25077: Issue description filter's 'none' operator does not match issues with blank descriptions added

Files

enable_issue_filter_by_description.1159.diff 1.3 KB 2008-05-08 Henrique Bastos
query.rb 419 KB 2013-01-27 marco guan
1.jpg 40.3 KB 2013-01-27 marco guan
2.jpg 48.9 KB 2013-01-27 marco guan
enable_issue_filter_by_description_r14065.diff 511 Bytes 2015-03-08 Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/revisions/14065
https://www.redmine.org/projects/redmine/repository/svn/revisions/14672
http://www.redmine.org/builds/logs/build_trunk_postgresql_ruby-2.1_2626.html
http://www.tcpdf.org

